﻿@charset "UTF-8";
/*$primary: #0459a9 !default;*/
@import url("../scss/open-iconic/font/css/open-iconic-bootstrap.min.css");
html, body {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

/*body {
    height: 100vh;
}

page {
    height: 100%;
}*/
h1:focus {
  outline: none;
}

a, .btn-link {
  color: #004C3F;
}

.btn-primary {
  color: #ffffff;
  background-color: #004C3F;
  border-color: #004C3F;
}

.btn-primary:hover {
  background-color: #007561;
  border-color: #007561;
}

.content {
  padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid #dc3545;
}

.validation-message {
  color: #dc3545;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred.";
}

/*Dražen*/
.e-spinner-pane .e-spinner-inner {
  position: fixed;
}

.dropdown-parent::after {
  content: "▼";
  margin-left: 1em;
}

.dropdown-parent:hover {
  cursor: pointer;
}

.expand-menu {
  margin: 0px 20px;
}

.fa-spinner {
  margin-right: 10px;
}

.dialog-content {
  text-align: center;
}

.e-radio-wrapper {
  padding: 0px 10px;
}

.e-dialog {
  min-width: 200px;
}

.e-dialog .e-dlg-header-content {
  padding: 10px 14px 10px 12px;
  background-color: lightskyblue;
}

.e-dialog .e-dlg-header-content + .e-dlg-content {
  padding: 20px;
}

.e-radio:focus + label::before {
  box-shadow: none;
}

.e-dialog .e-dlg-header-content .e-btn.e-dlg-closeicon-btn {
  left: -3px;
}

.e-dialog .e-btn .e-btn-icon.e-icon-dlg-close {
  font-size: 18px;
  font-weight: 600;
}

.btn-check:focus + .btn,
.btn:focus {
  box-shadow: none;
}

.e-float-input.e-control-wrapper textarea:focus ~ label.e-float-text,
.e-float-input.e-control-wrapper textarea:valid ~ label.e-float-text,
.e-float-input.e-control-wrapper input:focus ~ label.e-float-text,
.e-float-input.e-input-focus input ~ label.e-float-text {
  font-size: 16px !important;
  top: 15% !important;
}

.e-float-input textarea ~ .e-float-text,
.e-float-input.e-control-wrapper textarea ~ .e-float-text {
  top: 10px;
}

@media (max-width: 640px) {
  .not-found {
    text-align: center;
    margin-top: 150px;
  }
  .logo {
    display: none;
  }
  .dropdown-menu {
    padding: 10px;
    left: -90px !important;
  }
  #dropdownMenuButton,
  #dropdownMenuButtonSmall {
    text-decoration: none;
    color: #ffffff;
  }
}
@media (min-width: 641px) {
  .not-found {
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(calc(-50% + 160px), -50%);
  }
  .profile {
    display: none;
  }
  .dropdown-menu {
    padding: 10px;
    left: -12px !important;
  }
  #dropdownMenuButton,
  #dropdownMenuButtonSmall {
    text-decoration: none;
    color: #ffffff;
    background-color: #004C3F;
  }
}
.top-row a,
.profile a {
  margin-left: 0px !important;
  text-decoration: none;
  white-space: nowrap;
  color: #004C3F;
}

.top-row .oi,
.profile .oi {
  width: 20px;
}

.top-row .item:hover,
.profile .item:hover {
  background-color: rgba(214, 213, 213, 0.5);
  border-radius: 4px;
}

.form-container .label,
.form-container .value {
  display: inline-block;
}

.grid-dialog-label {
  color: #343a40 !important;
  font-size: 12px;
  font-weight: 500;
}
